package org.fuseri.modulemail.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
@Service
public class MailService {

    @Autowired
    private JavaMailSender emailSender;

    public String send(EmailDto dto) {
        var message = new SimpleMailMessage();
        message.setFrom(dto.sender);
        message.setTo(dto.receiver);
        message.setSubject("Sprachschul");
        message.setText(dto.content);

        emailSender.send(message);
        return "Success, you have sent: " + dto.content;
    }
}
